WatcherMode (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.watch

## Enum WatcherMode

- java.lang.Object
- - java.lang.Enum<WatcherMode>
  - - org.apache.zookeeper.server.watch.WatcherMode

- All Implemented Interfaces:
    Serializable, Comparable<WatcherMode>

      public enum WatcherMode
      extends Enum<WatcherMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PERSISTENT`
    `PERSISTENT_RECURSIVE`
    `STANDARD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WatcherMode` | `DEFAULT_WATCHER_MODE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WatcherMode` | `fromZooDef(int mode)`
    `boolean` | `isPersistent()`
    `boolean` | `isRecursive()`
    `static WatcherMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WatcherMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDARD

          public static final WatcherMode STANDARD

    - #### PERSISTENT

          public static final WatcherMode PERSISTENT

    - #### PERSISTENT_RECURSIVE

          public static final WatcherMode PERSISTENT_RECURSIVE

  - ### Field Detail

    - #### DEFAULT_WATCHER_MODE

          public static final WatcherMode DEFAULT_WATCHER_MODE

  - ### Method Detail

    - #### values

          public static WatcherMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WatcherMode c : WatcherMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WatcherMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromZooDef

          public static WatcherMode fromZooDef(int mode)

    - #### isPersistent

          public boolean isPersistent()

    - #### isRecursive

          public boolean isRecursive()

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.